#ifndef CMWCOMPLASER_H
#define CMWCOMPLASER_H

#include "cmwidget.h"
#include <QPixmap>

namespace Ui {
class CMWCompLaser;
}

class CMWCompLaser : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWCompLaser(QWidget *parent = 0);
    ~CMWCompLaser();
    void MInit();
    void MFresh();

    void MTimeFresh();
private slots:
    void on_pushButton_Set_clicked();

    void on_pushButton_LaserOpen_clicked();

    void on_pushButton_LaserClose_clicked();

    void on_btnLayserEmission_clicked(bool checked);

    void on_btnLayserGate_clicked(bool checked);

    void on_btnLayserExternGate_clicked(bool checked);

    void on_txtPartsLayserDiode_returnPressed();

    void on_txtPartsLayserQSW_returnPressed();

    void on_txtPartsLayserEPRF_returnPressed();

    void on_btnPartsLayserToMeasure_clicked();

	void on_btnPowerMeterZero_clicked();

private:
    Ui::CMWCompLaser *ui;
	QPixmap picOn;
	QPixmap picOff;
};

#endif // CMWCOMPLASER_H
